org.apache.cxf.staxutils

## Class StreamWriterContentHandler

- java.lang.Object
- - org.apache.cxf.staxutils.StreamWriterContentHandler

- All Implemented Interfaces:
    ContentHandler, LexicalHandler

      public class StreamWriterContentHandler
      extends Object
      implements ContentHandler, LexicalHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamWriterContentHandler(XMLStreamWriter w)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Method characters.
    `void` | `comment(char[] ch, int start, int length)`
    `void` | `endCDATA()`
    `void` | `endDocument()` Method endDocument.
    `void` | `endDTD()`
    `void` | `endElement(String namespaceURI, String localName, String qName)` Method endElement.
    `void` | `endEntity(String name)`
    `void` | `endPrefixMapping(String prefix)` Method endPrefixMapping.
    `void` | `ignorableWhitespace(char[] ch, int start, int length)` Method ignorableWhitespace.
    `void` | `processingInstruction(String target, String data)` Method processingInstruction.
    `void` | `setDocumentLocator(Locator locator)` Method setDocumentLocator.
    `void` | `skippedEntity(String name)` Method skippedEntity.
    `void` | `startCDATA()`
    `void` | `startDocument()` Method startDocument.
    `void` | `startDTD(String name, String publicId, String systemId)`
    `void` | `startElement(String namespaceURI, String localName, String qName, Attributes atts)` Method startElement.
    `void` | `startEntity(String name)`
    `void` | `startPrefixMapping(String prefix, String uri)` Method startPrefixMapping.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamWriterContentHandler

          public StreamWriterContentHandler(XMLStreamWriter w)

  - ### Method Detail

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Method endDocument.
      Specified by:
        `endDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Method startDocument.
      Specified by:
        `startDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Method characters.
      Specified by:
        `characters` in interface `ContentHandler`
      Parameters:
        `ch` -
        `start` -
        `length` -
      Throws:
        `SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                          int start,
                                          int length)
                                   throws SAXException

      Method ignorableWhitespace.
      Specified by:
        `ignorableWhitespace` in interface `ContentHandler`
      Parameters:
        `ch` -
        `start` -
        `length` -
      Throws:
        `SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(String prefix)
                                throws SAXException

      Method endPrefixMapping.
      Specified by:
        `endPrefixMapping` in interface `ContentHandler`
      Parameters:
        `prefix` -
      Throws:
        `SAXException`

    - #### skippedEntity

          public void skippedEntity(String name)
                             throws SAXException

      Method skippedEntity.
      Specified by:
        `skippedEntity` in interface `ContentHandler`
      Parameters:
        `name` -
      Throws:
        `SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator(Locator locator)

      Method setDocumentLocator.
      Specified by:
        `setDocumentLocator` in interface `ContentHandler`
      Parameters:
        `locator` -

    - #### processingInstruction

          public void processingInstruction(String target,
                                            String data)
                                     throws SAXException

      Method processingInstruction.
      Specified by:
        `processingInstruction` in interface `ContentHandler`
      Parameters:
        `target` -
        `data` -
      Throws:
        `SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(String prefix,
                                         String uri)
                                  throws SAXException

      Method startPrefixMapping.
      Specified by:
        `startPrefixMapping` in interface `ContentHandler`
      Parameters:
        `prefix` -
        `uri` -
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String namespaceURI,
                                 String localName,
                                 String qName)
                          throws SAXException

      Method endElement.
      Specified by:
        `endElement` in interface `ContentHandler`
      Parameters:
        `namespaceURI` -
        `localName` -
        `qName` -
      Throws:
        `SAXException`

    - #### startElement

          public void startElement(String namespaceURI,
                                   String localName,
                                   String qName,
                                   Attributes atts)
                            throws SAXException

      Method startElement.
      Specified by:
        `startElement` in interface `ContentHandler`
      Parameters:
        `namespaceURI` -
        `localName` -
        `qName` -
        `atts` -
      Throws:
        `SAXException`

    - #### startDTD

          public void startDTD(String name,
                               String publicId,
                               String systemId)
                        throws SAXException

      Specified by:
        `startDTD` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endDTD

          public void endDTD()
                      throws SAXException

      Specified by:
        `endDTD` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startEntity

          public void startEntity(String name)
                           throws SAXException

      Specified by:
        `startEntity` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endEntity

          public void endEntity(String name)
                         throws SAXException

      Specified by:
        `endEntity` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startCDATA

          public void startCDATA()
                          throws SAXException

      Specified by:
        `startCDATA` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endCDATA

          public void endCDATA()
                        throws SAXException

      Specified by:
        `endCDATA` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### comment

          public void comment(char[] ch,
                              int start,
                              int length)
                       throws SAXException

      Specified by:
        `comment` in interface `LexicalHandler`
      Throws:
        `SAXException`

Apache CXF